////////////////////////////////////////////////////////////////////////////////////////////////////
/// \file	AtomineerUtils\AtomineerUtilsExamplesDoxygen.cs
///
/// \brief	Implements the AtomineerUtilsExamplesDoxygen class. 
////////////////////////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////////////////////////
/// \namespace	Test
///
/// \brief	. 
////////////////////////////////////////////////////////////////////////////////////////////////////

namespace Test
{
	////////////////////////////////////////////////////////////////////////////////////////////////////
	/// \interface	IDisposable
	///
	/// \brief	Interface for objects that provide custom disposal implementations. 
	///
	/// \author	Jason Williams
	/// \date	05/04/2009
	////////////////////////////////////////////////////////////////////////////////////////////////////

	[SomethingAttribute]
	public interface IDisposable
	{
	}

	////////////////////////////////////////////////////////////////////////////////////////////////////
	/// \class	CommsErrorEventArgs : EventArgs.
	///
	/// \brief	Additional information for communications error events. 
	///
	/// \author	Jason Williams.
	/// \date	03/04/2009.
	////////////////////////////////////////////////////////////////////////////////////////////////////

	[AnotherAttribute]
	internal class CommsErrorEventArgs : EventArgs
	{
	} 

	////////////////////////////////////////////////////////////////////////////////////////////////////
	/// \class	CustomInfoAttr
	///
	/// \brief	Attribute for custom information. 
	///
	/// \author	Jason Williams
	/// \date	03/04/2009
	////////////////////////////////////////////////////////////////////////////////////////////////////

	protected class CustomInfoAttr
	{
	}

  	////////////////////////////////////////////////////////////////////////////////////////////////////
  	/// \class	ObjEditorAttribute
  	///
  	/// \brief	Attribute for object editor. 
  	///
  	/// \author	Jason Williams
  	/// \date	05/04/2009
  	////////////////////////////////////////////////////////////////////////////////////////////////////

  	public class ObjEditorAttribute
	{
	}

	////////////////////////////////////////////////////////////////////////////////////////////////////
	/// \class	DataTblForm : Form
	///
	/// \brief	Form for viewing the data table. 
	///
	/// \author	Jason Williams
	/// \date	05/04/2009
	////////////////////////////////////////////////////////////////////////////////////////////////////

	public class DataTblForm : Form
	{		
	}

	////////////////////////////////////////////////////////////////////////////////////////////////////
	/// \class	PrefsDlg : Form
	///
	/// \brief	Dialog for setting the preferences. 
	///
	/// \author	Jason Williams
	/// \date	05/04/2009
	////////////////////////////////////////////////////////////////////////////////////////////////////

	public class PrefsDlg : Form
	{		
	}

	////////////////////////////////////////////////////////////////////////////////////////////////////
	/// \class	ErrorDialog : Form
	///
	/// \brief	Dialog for reporting errors to the user. 
	///
	/// \author	Jason Williams
	/// \date	05/04/2009
	////////////////////////////////////////////////////////////////////////////////////////////////////

	public class ErrorDialog : Form
	{		
	}

	////////////////////////////////////////////////////////////////////////////////////////////////////
	/// \class	CreateNewItemWizard : Form
	///
	/// \brief	Wizard for creating new items. 
	///
	/// \author	Jason Williams
	/// \date	05/04/2009
	////////////////////////////////////////////////////////////////////////////////////////////////////

	public class CreateNewItemWizard : Form
	{		
	}

	////////////////////////////////////////////////////////////////////////////////////////////////////
	/// \class	PantsOnFireException : ArgumentNullException
	///
	/// \brief	Exception for signalling pants on fire errors. 
	///
	/// \author	Jason Williams
	/// \date	05/04/2009
	////////////////////////////////////////////////////////////////////////////////////////////////////

	public class PantsOnFireException : ArgumentNullException
	{
	}

	////////////////////////////////////////////////////////////////////////////////////////////////////
	/// \class	BigExplosionEventArgs
	///
	/// \brief	Additional information for big explosion events. 
	///
	/// \author	Jason Williams
	/// \date	05/04/2009
	////////////////////////////////////////////////////////////////////////////////////////////////////

	internal class BigExplosionEventArgs
	{
	}

	////////////////////////////////////////////////////////////////////////////////////////////////////
	/// \class	PlayingCardCollection
	///
	/// \brief	Collection of playing cards. 
	///
	/// \author	Jason Williams
	/// \date	05/04/2009
	////////////////////////////////////////////////////////////////////////////////////////////////////

	public abstract class PlayingCardCollection
	{
	}

	////////////////////////////////////////////////////////////////////////////////////////////////////
	/// \class	WndHandleColl
	///
	/// \brief	Collection of window handles. 
	///
	/// \author	Jason Williams
	/// \date	05/04/2009
	////////////////////////////////////////////////////////////////////////////////////////////////////

	public abstract class WndHandleColl
	{
	}

	////////////////////////////////////////////////////////////////////////////////////////////////////
	/// \class	WndPtrList
	///
	/// \brief	List of window pointers. 
	///
	/// \author	Jason Williams
	/// \date	05/04/2009
	////////////////////////////////////////////////////////////////////////////////////////////////////

	internal class WndPtrList
	{
	}

	////////////////////////////////////////////////////////////////////////////////////////////////////
	/// \class	SerialCommsBuffer
	///
	/// \brief	Buffer for serial communications. 
	///
	/// \author	Jason Williams
	/// \date	05/04/2009
	////////////////////////////////////////////////////////////////////////////////////////////////////

	public class SerialCommsBuffer
	{
	}

	////////////////////////////////////////////////////////////////////////////////////////////////////
	/// \class	UserInfo
	///
	/// \brief	Information about the user. 
	///
	/// \author	Jason Williams
	/// \date	05/04/2009
	////////////////////////////////////////////////////////////////////////////////////////////////////

	public class UserInfo
	{
	}

	////////////////////////////////////////////////////////////////////////////////////////////////////
	/// \class	TestClass
	///
	/// \brief	Test class. 
	///
	/// \author	Jason Williams
	/// \date	05/04/2009
	////////////////////////////////////////////////////////////////////////////////////////////////////

	public class TestClass
	{
		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	protected abstract JetPlane(string manufacturerNames, string modelName)
		///
		/// \brief	Constructor. 
		///
		/// \author	Jason Williams
		/// \date	10/04/2009
		///
		/// \param	manufacturerNames	 - List of names of the manufacturers. 
		/// \param	modelName			 - Name of the model. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		protected abstract JetPlane(string manufacturerNames, string modelName)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	protected abstract void ParamAlignmentTest(int a, int ab, int abc, int abcd, int abcde,
		/// 	int abcdef, int abcdefg, int abcdefgh, int abcdefghi, int abcdefghij, int abcdefghijk,
		/// 	int abcdefghijkl, int abcdefghijklm, int abcdefghijklmn, int abcdefghijklmno,
		/// 	int abcdefghijklmnop)
		///
		/// \brief	Tests parameter alignment. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	a				 - An a. 
		/// \param	ab				 - An ab. 
		/// \param	abc				 - An abc. 
		/// \param	abcd			 - An abcd. 
		/// \param	abcde			 - An abcde. 
		/// \param	abcdef			 - An abcdef. 
		/// \param	abcdefg			 - An abcdefg. 
		/// \param	abcdefgh		 - An abcdefgh. 
		/// \param	abcdefghi		 - An abcdefghi. 
		/// \param	abcdefghij		 - An abcdefghij. 
		/// \param	abcdefghijk		 - An abcdefghijk. 
		/// \param	abcdefghijkl	 - An abcdefghijkl. 
		/// \param	abcdefghijklm	 - An abcdefghijklm. 
		/// \param	abcdefghijklmn	 - An abcdefghijklmn. 
		/// \param	abcdefghijklmno	 - An abcdefghijklmno. 
		/// \param	abcdefghijklmnop - An abcdefghijklmnop. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		protected abstract void ParamAlignmentTest(int a, int ab, int abc, int abcd,
									int abcde, int abcdef, int abcdefg, int abcdefgh,
									int abcdefghi, int abcdefghij, int abcdefghijk, int abcdefghijkl,
									int abcdefghijklm, int abcdefghijklmn, int abcdefghijklmno, int abcdefghijklmnop)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public void Initialise()
		///
		/// \brief	Initialises this object. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public void Initialise()
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public void InitializeArrays()
		///
		/// \brief	Initializes the arrays. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public void InitializeArrays()
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public void InitializeGradFill()
		///
		/// \brief	Initializes the graduated fill. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public void InitializeGradFill()
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public void InitFileBuffers()
		///
		/// \brief	Initialises the file buffers. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public void InitFileBuffers()
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	private static void SetUpUninstaller(XmlElement settingsElem)
		///
		/// \brief	Sets up the uninstaller. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	settingsElem - Element representing the settings. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		private static void SetUpUninstaller(XmlElement settingsElem)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	static bool ExecuteAllChildInstallCommandsOf(XmlElement cmdRootElem)
		///
		/// \brief	Execute all child install commands of the given command root element. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	cmdRootElem	 - Element representing the command root. 
		///
		/// \retval	true if it succeeds, false if it fails. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		static bool ExecuteAllChildInstallCommandsOf(XmlElement cmdRootElem)
		{
		}		 

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public void ConnectToBackupDataSvr()
		///
		/// \brief	Connects the to backup data server. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public void ConnectToBackupDataSvr()
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public void TxDataToBackupSvr()
		///
		/// \brief	Transmit data to backup server. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public void TxDataToBackupSvr()
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public void DumpFlightInfo(out ClientList passengerManifest, ref int manifestSize)
		///
		/// \brief	Dumps a flight information. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param [out]	passengerManifest - a list of passengers. 
		/// \param [in,out]	manifestSize	 - size of the manifest. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public void DumpFlightInfo(out ClientList passengerManifest, ref int manifestSize)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	private static void ReportErrors()
		///
		/// \brief	Reports the errors. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		////////////////////////////////////////////////////////////////////////////////////////////////////

		private static void ReportErrors()
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	private static void ReportError(string format, params object[] args)
		///
		/// \brief	Reports an error. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	format	 - Describes the format to use. 
		/// \param	args	 - A variable-length parameters list containing arguments. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		private static void ReportError(string format, params object[] args)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	private static void WriteWarnings()
		///
		/// \brief	Writes the warnings. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		////////////////////////////////////////////////////////////////////////////////////////////////////

		private static void WriteWarnings()
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	private static void WriteWarning(string format, params object[] args)
		///
		/// \brief	Writes a warning. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	format	 - Describes the format to use. 
		/// \param	args	 - A variable-length parameters list containing arguments. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		private static void WriteWarning(string format, params object[] args)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	private static void WriteWarning(string report)
		///
		/// \brief	Writes a warning. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	report	 - A report. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		private static void WriteWarning(string report)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	private static void WriteWarning()
		///
		/// \brief	Writes the warning. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		////////////////////////////////////////////////////////////////////////////////////////////////////

		private static void WriteWarning()
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public bool Add(string text)
		///
		/// \brief	Adds text. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	text - The string to add. 
		///
		/// \retval	true if it succeeds, false if it fails. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public bool Add(string text)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public void AddNewItem(string item, List<string> itemList)
		///
		/// \brief	Adds a new item to 'itemList'. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	item	 - An item. 
		/// \param	itemList - List of items. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public void AddNewItem(string item, List<string> itemList)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public void AddNewItem(string item)
		///
		/// \brief	Adds a new item. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	item - An item. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public void AddNewItem(string item)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public void AppendEntry(int entry)
		///
		/// \brief	Appends an entry. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	entry	 - An entry. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public void AppendEntry(int entry)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public void Append(string entry)
		///
		/// \brief	Appends an entry. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	entry	 - The string to append. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public void Append(string entry)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public Block AppendNewEntry(int entry)
		///
		/// \brief	Appends a new entry. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	entry	 - An entry. 
		///
		/// \retval	. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public Block AppendNewEntry(int entry)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public void AppendEntry(Block userData)
		///
		/// \brief	Appends an entry. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	userData - Information describing the user. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public void AppendEntry(Block userData)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public void AppendEntry(Block userData, List<Block> entryList)
		///
		/// \brief	Appends an entry. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	userData	 - Information describing the user. 
		/// \param	entryList	 - List of entries. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public void AppendEntry(Block userData, List<Block> entryList)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public void WriteEntry(string machineInfo)
		///
		/// \brief	Writes an entry. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	machineInfo	 - Information describing the machine. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public void WriteEntry(string machineInfo)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public void WriteEntry(string machineInfo, Stream outputStream)
		///
		/// \brief	Writes an entry. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	machineInfo	 - Information describing the machine. 
		/// \param	outputStream - An output stream. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public void WriteEntry(string machineInfo, Stream outputStream)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public void Write(string machineInfo)
		///
		/// \brief	Writes a string. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	machineInfo	 - Information describing the machine. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public void Write(string machineInfo)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public delegate void NewGovernmentEventHandler(object sender, NewGovernmentEventArgs e)
		///
		/// \brief	Delegate for handling NewGovernment events. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	sender	 - Source of the event. 
		/// \param	e		 - New government event information. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public delegate void NewGovernmentEventHandler(object sender, NewGovernmentEventArgs e);

		/// Event queue for all listeners interested in MilitaryCoup events.
		public event NewGovernmentEventHandler MilitaryCoupEvent;

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	protected virtual void OnMilitaryCoup(EventArgs e)
		///
		/// \brief	Raises the military coup event. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	e	 - Event information to send to registered event handlers. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		protected virtual void OnMilitaryCoup(EventArgs e) 
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	protected virtual void RaiseMilitaryCoup(EventArgs e)
		///
		/// \brief	Raises the military coup event. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	e	 - Event information to send to registered event handlers. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		protected virtual void RaiseMilitaryCoup(EventArgs e) 
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	void NewsListener_MilitaryCoupEvent(object sender, CoupEventArgs e)
		///
		/// \brief	Event handler. Called by NewsListener for military coup events. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	sender	 - Source of the event. 
		/// \param	e		 - Coup event information. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		void NewsListener_MilitaryCoupEvent(object sender, CoupEventArgs e)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \property	public int ReadOnlyValue
		///
		/// \brief	Gets the read only value. 
		///
		/// \retval	The read only value. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public int ReadOnlyValue
		{
			get { return myConst; }
		} 

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \property	public float WriteOnlyValue
		///
		/// \brief	Sets the write only value. 
		///
		/// \retval	The write only value. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public float WriteOnlyValue
		{
			set { speed = value; }
		} 

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \property	public byte[] Terminator
		///
		/// \brief	Gets or sets the terminator. 
		///
		/// \retval	The terminator. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public byte[] Terminator
		{
			get { return terminator; }
			set { terminator = value; }
		} 

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public Velocity CalculateAvgTruckVelocity()
		///
		/// \brief	Calculates the average truck velocity. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \retval	The calculated average truck velocity. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public Velocity CalculateAvgTruckVelocity()
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public void Add()
		///
		/// \brief	Adds . 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public void Add()
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public bool Add(Item newItem)
		///
		/// \brief	Adds newItem. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	newItem	 - The Item to add. 
		///
		/// \retval	true if it succeeds, false if it fails. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public bool Add(Item newItem)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public void AddToDictionary(Item newItem)
		///
		/// \brief	Adds to the dictionary. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	newItem	 - A new item. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public void AddToDictionary(Item newItem)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public void AddToList(Item newItem, List<Item> destList)
		///
		/// \brief	Adds to the list. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	newItem	 - A new item. 
		/// \param	destList - List of destinations. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public void AddToList(Item newItem, List<Item> destList)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public List<Velocity> calcShipVelocities(PairGeneric<int, string> itemData)
		///
		/// \brief	Calculates the ship velocities. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	itemData - Information describing the item. 
		///
		/// \retval	The calculated ship velocities. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public List<Velocity> calcShipVelocities(PairGeneric<int, string> itemData)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \enum	TaskImportance
		///
		/// \brief	Values that represent TaskImportance. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public enum TaskImportance
		{
			Low,
			Medium,
			High,
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \enum	ListOptions
		///
		/// \brief	Bitfield of flags for specifying ListOptions. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		[Flags]
		public enum ListOptions
		{
			AllowNulls	= 1<<0,
			AllowDelete	= 1<<1,
			SortItems	= 1<<2,
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public bool VeryCommentedFunction( bool isUsed)
		///
		/// \brief	Very commented function. 
		///
		/// \author	Jason Williams
		/// \date	14/07/2009
		///
		/// \param	isUsed	true if is used. 
		///
		/// \return	true if it succeeds, false if it fails. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public bool /**** void ****/ VeryCommentedFunction(/* int removed / 56 *** */ bool isUsed) // End of line comment
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	bool VariousExceptionThrowingTests()
		///
		/// \brief	Various exception throwing tests. 
		///
		/// \author	Jason Williams
		/// \date	14/07/2009
		///
		/// \exception	RethrowException			Thrown when rethrow. 
		/// \exception	CatchThrownException		Thrown when catch thrown. 
		/// \exception	VariableThrownException		Thrown when variable thrown. 
		/// \exception	SimpleException				Thrown when simple. 
		/// \exception	BaseClassVariableException	Thrown when base class variable. 
		/// \exception	PathTooLongException		Thrown when the file/folder path is too
		/// 										long. 
		/// \exception	NeverCompiledException		Thrown when never compiled. 
		/// \exception	InBracketsException			Thrown when in brackets. 
		///
		/// \return	true if it succeeds, false if it fails. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		bool VariousExceptionThrowingTests()
		{
			// Test exceptions declared as variables and thrown later
			Exception baseEx = new BaseClassVariableException();
			VariableThrownException varEx = null;

			// Test cases that shouldn't confuse the parser
			FoundTheWrongException revarExcept = null;
			FoundTheWrongException revarEx = null;
			FoundTheWrongException varExcept = null;

			if (varEx == null)
				varEx = new VariableThrownException();

			try
			{
			}
			// Test a simple re-throw of a caught exception
			catch(RethrowException ex)
			{
				throw;
			}
			// Test a naughty re-throw of a caught exception via a variable name
			catch(CatchThrownException ex)
			{
				throw ex;
			}

			// Test throwing of an exception via a variable declared above
			if (true)
				throw varEx;

			// Test a simple exception throw
			throw new SimpleException();

			// Test throwing of an exception via a variable which is declared as a base class type,
			// but which is set to a more derived type.
			throw baseEx;

			// Another exception variable, this time looking a lot more like an exception classname
			Exception pathException = new PathTooLongException();
			throw pathException;

			// throw new SingleLineCommentException();

			/* Ignore commented-out code
			 * throw new MultiLineCommentException();
			 */

			// AtomineerUtils currently processes exceptions inside #if blocks (as they are usually
			// used for code that is only temporarily disabled) 
#if false
			throw new NeverCompiledException();
#endif

			// And a different bracketing style
			throw(new InBracketsException("You can't do that!"));
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public static MyObject[ , ][] *&ComplicatedPrototypeParsingTest(int *pThings,
		/// 	int Stuff[] = (12 + 4) * (3+8), const float Number) const
		///
		/// \brief	Tests complicated prototype parsing. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	pThings	 - If non-null, the things. 
		/// \param	Stuff	 - A stuff. 
		/// \param	Number	 - Number of. 
		///
		/// \retval	null if it fails, else. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public static MyObject[ , ][] *&ComplicatedPrototypeParsingTest(int *pThings,
				  int Stuff[] = (12 + 4) * (3+8),
				  const float Number) const
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public static T[] Slice<T,U>(this T[] source, int index, int count)
		///
		/// \brief	Slice< t,u>. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \exception	ArgumentException	 - Thrown when one or more arguments have unsupported or illegal
		/// 								values. 
		///
		/// \typeparam	T	 - . 
		/// \typeparam	U	 - . 
		/// \param	source	 - Source for the. 
		/// \param	index	 - Zero-based index of the. 
		/// \param	count	 - Number of. 
		///
		/// \retval	. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public static T[] Slice<T,U>(this T[] source, int index, int count) {
		 if (index < 0 || count < 0 || source.Length  index < count)
			throw new ArgumentException();
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	bool PlainFunction()
		///
		/// \brief	Plain function. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \retval	true if it succeeds, false if it fails. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		bool PlainFunction()
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	bool IsDocked()
		///
		/// \brief	Query if this object is docked. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \retval	true if docked, false if not. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		bool IsDocked()
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	bool AreWindowsDockedOrFloating()
		///
		/// \brief	Query if windows docked or floating. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \retval	true if windows docked or floating, false if not. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		bool AreWindowsDockedOrFloating()
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	bool AreAnyWindowsOpen(List<Form> wndList)
		///
		/// \brief	Query if any windows open in 'wndList'. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	wndList	 - List of windows. 
		///
		/// \retval	true if any windows open, false if not. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		bool AreAnyWindowsOpen(List<Form> wndList)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	bool IsAWindow(object typeToCheck)
		///
		/// \brief	Query if 'typeToCheck' is a window. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	typeToCheck	 - A type to check. 
		///
		/// \retval	true if a window, false if not. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		bool IsAWindow(object typeToCheck)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	bool IsType(object typeToCheck)
		///
		/// \brief	Query if 'typeToCheck' is type. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	typeToCheck	 - A type to check. 
		///
		/// \retval	true if type, false if not. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		bool IsType(object typeToCheck)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	bool AreReadyToTx()
		///
		/// \brief	Query if ready to transmit. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \retval	true if ready to transmit, false if not. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		bool AreReadyToTx()
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	bool ReadyToTx()
		///
		/// \brief	Query if we are ready to transmit. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \retval	true if it succeeds, false if it fails. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		bool ReadyToTx()
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	bool IsReadyToTransmit(CommsPort port)
		///
		/// \brief	Query if 'port' is ready to transmit. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	port - A port. 
		///
		/// \retval	true if ready to transmit, false if not. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		bool IsReadyToTransmit(CommsPort port)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	bool TestIfPrefsFileIsWritable(string pathname)
		///
		/// \brief	Tests if preferences file is writable. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	pathname - Full pathname of the file. 
		///
		/// \retval	true if the test passes, false if the test fails. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		bool TestIfPrefsFileIsWritable(string pathname)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	bool AutoParamGenTest(int numItems, int numberOfBlocks, string ConfigFilename,
		/// 	JobTypeEnum jobType, OptsEnum parseOptions, List<int> UserIdList, Colour fgColour,
		/// 	int widthOfWingsInMetres, int listSize, int listItemCount, int listLength,
		/// 	int rectangleWidth, int circleHeight, byte *serialIOBuffer, Manager &fileDataMgr,
		/// 	Context parseCtx, ref string userInfo, out byte RAIDArrayID)
		///
		/// \brief	Tests automatic parameter generation. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	numItems			 - Number of items. 
		/// \param	numberOfBlocks		 - Number of blocks. 
		/// \param	ConfigFilename		 - Filename of the configuration file. 
		/// \param	jobType				 - Type of the job. 
		/// \param	parseOptions		 - Options for controlling the parse. 
		/// \param	UserIdList			 - List of user identifiers. 
		/// \param	fgColour			 - Colour of the foreground. 
		/// \param	widthOfWingsInMetres - Width of the wings in metres. 
		/// \param	listSize			 - Size of the list. 
		/// \param	listItemCount		 - Number of list items. 
		/// \param	listLength			 - Length of the list. 
		/// \param	rectangleWidth		 - Width of the rectangle. 
		/// \param	circleHeight		 - Height of the circle. 
		/// \param	serialIOBuffer		 - If non-null, buffer for serial i/o data. 
		/// \param [in,out]	fileDataMgr	 - manager for file data. 
		/// \param	parseCtx			 - Context for the parse. 
		/// \param [in,out]	userInfo	 - information describing the user. 
		/// \param [out]	RAIDArrayID	 - identifier of the raid array. 
		///
		/// \retval	true if the test passes, false if the test fails. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		bool AutoParamGenTest(int numItems, int numberOfBlocks,
							string ConfigFilename, JobTypeEnum jobType,
							OptsEnum parseOptions, List<int> UserIdList,
							Colour fgColour, int widthOfWingsInMetres, int listSize,
							int listItemCount, int listLength,
							int rectangleWidth, int circleHeight,
							byte *serialIOBuffer, Manager &fileDataMgr,
							Context parseCtx, ref string userInfo, out byte RAIDArrayID)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public bool TestExceptionHandling(int myParam, int value)
		///
		/// \brief	Tests exception handling. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \exception	fileMissing					 - Thrown when file. 
		/// \exception	ArgumentOrValueNullException - Thrown when argument or value null. 
		/// \exception	BadNumberException			 - Thrown when bad number. 
		/// \exception	NotImplementedException		 - Thrown when the requested operation is unimplemented. 
		///
		/// \param	myParam	 - A my parameter. 
		/// \param	value	 - A value. 
		///
		/// \retval	true if the test passes, false if the test fails. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public bool TestExceptionHandling(int myParam, int value)
		{
			throw;

			FileMissingException fileMissing;
			throw fileMissing;

			throw new ArgumentOrValueNullException(123);
			if (something)
				throw(new BadNumberException());

			throw (new NotImplementedException("I forgot to do this"));
			throw new ArgumentOrValueNullException(789);

			try
			{
			}
			catch (IndirectException ex)
			{
				Debug.Trace("IndiretException was thrown");
				throw;		// Pass the exception on
			}
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public string FormatUIDesc(string format, params object[] formatValues)
		///
		/// \brief	Format user interface description. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	format		 - Describes the format to use. 
		/// \param	formatValues - A variable-length parameters list containing format values. 
		///
		/// \retval	The formatted user interface description. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public string FormatUIDesc(string format, params object[] formatValues)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public bool Equals(ItemDetails other)
		///
		/// \brief	Tests if this ItemDetails is considered equal to another. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	other	 - The item details to compare to this object. 
		///
		/// \retval	true if the objects are considered equal, false if they are not. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public bool Equals(ItemDetails other)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public bool Equals(ItemDetails a, ItemDetails b)
		///
		/// \brief	Tests if two ItemDetails objects are considered equal. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	a	 - Item details to be compared. 
		/// \param	b	 - Item details to be compared. 
		///
		/// \retval	true if the objects are considered equal, false if they are not. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public bool Equals(ItemDetails a, ItemDetails b)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public int CompareTo(EngineeringInfo a)
		///
		/// \brief	Compares this EngineeringInfo object to another to determine their relative ordering.
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	a	 - Engineering information to compare to this. 
		///
		/// \retval	Negative if this object is less than the other, 0 if they are equal, or positive if
		/// 		this is greater. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public int CompareTo(EngineeringInfo a)	{};

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public static int Compare(EngineeringInfo infoA, EngineeringInfo infoB)
		///
		/// \brief	Compares two EngineeringInfo objects to determine their relative ordering. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	infoA	 - Engineering information to be compared. 
		/// \param	infoB	 - Engineering information to be compared. 
		///
		/// \retval	Negative if 'infoA' is less than 'infoB', 0 if they are equal, or positive if it is
		/// 		greater. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public static int Compare(EngineeringInfo infoA, EngineeringInfo infoB)	{};

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public int GetHashCode()
		///
		/// \brief	Calculates the hash code for this object. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \retval	The hash code for this object. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public int GetHashCode() {};

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public string ToString()
		///
		/// \brief	Convert this object into a string representation. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \retval	A string representation of this object. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public string ToString()
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public string ToString(string format)
		///
		/// \brief	Convert this object into a string representation. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	format	 - Describes the format to use. 
		///
		/// \retval	A string representation of this object. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public string ToString(string format)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public DataBlock ToInternalFormat()
		///
		/// \brief	Converts this object to an internal format. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \retval	This object as a DataBlock. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public DataBlock ToInternalFormat()
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public DataBlock ToInternalFormat(int value)
		///
		/// \brief	Converts a value to an internal format. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	value	 - A value. 
		///
		/// \retval	This object as a DataBlock. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public DataBlock ToInternalFormat(int value)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public static Counter operator +(Counter ctr1, Counter ctr2)
		///
		/// \brief	Addition operator. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	ctr1 - A counter 1. 
		/// \param	ctr2 - A counter 2. 
		///
		/// \retval	The result of the operation. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public static Counter operator +(Counter ctr1, Counter ctr2)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public static Counter operator ++(int increment)
		///
		/// \brief	Post-increment operator. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	increment	 - Amount to increment by. 
		///
		/// \retval	The result of the operation. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public static Counter operator ++(int increment)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public void SetCamPos(float x, float y)
		///
		/// \brief	Sets a camera position. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	x	 - The x coordinate. 
		/// \param	y	 - The y coordinate. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public void SetCamPos(float x, float y)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public static bool operator >(Score score1, Score score2)
		///
		/// \brief	Greater-than comparison operator. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	score1	 - A score 1. 
		/// \param	score2	 - A score 2. 
		///
		/// \retval	true if the first parameter is greater than to the second. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public static bool operator >(Score score1, Score score2)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public static implicit operator Description(string val)
		///
		/// \brief	Description casting operator. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	val	 - A value. 
		///
		/// \retval	The result of the operation. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public static implicit operator Description(string val)
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public static explicit operator bool(DataItem x)
		///
		/// \brief	Bool casting operator. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	x	 - An x. 
		///
		/// \retval	The result of the operation. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public static explicit operator bool(DataItem x) 
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public static explicit operator DataBlock(DataItem x)
		///
		/// \brief	Data block casting operator. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	x	 - An x. 
		///
		/// \retval	The result of the operation. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public static explicit operator DataBlock(DataItem x) 
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public static DataItem operator ==(DataItem x, DataItem y)
		///
		/// \brief	Equality operator. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	x	 - An x. 
		/// \param	y	 - A y. 
		///
		/// \retval	true if the parameters are considered equivalent. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public static DataItem operator ==(DataItem x, DataItem y) 
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public static DataItem operator !=(DataItem x, DataItem y)
		///
		/// \brief	Inequality operator. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	x	 - An x. 
		/// \param	y	 - A y. 
		///
		/// \retval	true if the parameters are not considered equivalent. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public static DataItem operator !=(DataItem x, DataItem y) 
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public static DataItem operator !(DataItem x)
		///
		/// \brief	Logical 'not' operator. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	x	 - An x. 
		///
		/// \retval	The logical inverse of this value. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public static DataItem operator !(DataItem x) 
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public static DataItem operator &(DataItem x, DataItem y)
		///
		/// \brief	Bitwise 'and' operator. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	x	 - An x. 
		/// \param	y	 - A y. 
		///
		/// \retval	The result of the operation. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public static DataItem operator &(DataItem x, DataItem y) 
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public static DataItem operator |(DataItem x, DataItem y)
		///
		/// \brief	Bitwise 'or' operator. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	x	 - An x. 
		/// \param	y	 - A y. 
		///
		/// \retval	The result of the operation. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public static DataItem operator |(DataItem x, DataItem y) 
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public static bool operator true(DataItem x)
		///
		/// \brief	Boolean 'true' operator. 
		///
		/// \author	Jason Williams
		/// \date	05/04/2009
		///
		/// \param	x	 - An x. 
		///
		/// \retval	true if this object is in a 'true' state, else false. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public static bool operator true(DataItem x) 
		{
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \fn	public string this[int pos]
		///
		/// \brief	Indexer to get or set items within this collection using array index syntax. 
		///
		/// \retval	The indexed item. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public string this[int pos]
		{
			get {}
			set {}
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \property	public int NumPassengers
		///
		/// \brief	Gets the total number of passengers. 
		///
		/// \retval	The total number of passengers. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public int NumPassengers
		{
			get { return(5);	}
//			set {}
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \property	public int MaxSpeed
		///
		/// \brief	Sets the maximum speed. 
		///
		/// \retval	The maximum speed. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public int MaxSpeed
		{
//			get { return(5);	}
			set {}
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \property	public bool IsActive
		///
		/// \brief	Gets a value indicating whether this object is active. 
		///
		/// \retval	true if this object , false if not. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public bool IsActive
		{
			get { return(true);	}
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \property	public bool ShouldDelFileOnExit
		///
		/// \brief	Gets a value indicating whether we should delete file on exit. 
		///
		/// \retval	true if we , false if not. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public bool ShouldDelFileOnExit
		{
			get { }
		}

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \property	public int Average
		///
		/// \brief	Gets the average. 
		///
		/// \retval	The average. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public int Average { get {} }

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \property	public int NumEngines
		///
		/// \brief	Gets or sets the total number of engines. 
		///
		/// \retval	The total number of engines. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public int NumEngines { get {}; set {} }

		////////////////////////////////////////////////////////////////////////////////////////////////////
		/// \property	public Color FgColour
		///
		/// \brief	Gets or sets the foreground colour. 
		///
		/// \retval	The colour of the foreground. 
		////////////////////////////////////////////////////////////////////////////////////////////////////

		public Color FgColour { get {}; set {} }

		/// . 
		private int value;

		/// . 
		private List<int> valueList;

		/// . 
		private Pair<int, string> myPair;
	}
}


//---------------------------------------------------------------------------------------------------
// C++ specific examples
//---------------------------------------------------------------------------------------------------

////////////////////////////////////////////////////////////////////////////////////////////////////
/// \fn	CppTestClass::CppTestClass(void)
///
/// \brief	Default constructor. 
///
/// \author	Jason Williams
/// \date	05/04/2009
////////////////////////////////////////////////////////////////////////////////////////////////////

CppTestClass::CppTestClass(void)
{
}

////////////////////////////////////////////////////////////////////////////////////////////////////
/// \fn	CppTestClass::CppTestClass(int value)
///
/// \brief	Constructor. 
///
/// \author	Jason Williams
/// \date	05/04/2009
///
/// \param	value	 - A value. 
////////////////////////////////////////////////////////////////////////////////////////////////////

CppTestClass::CppTestClass(int value)
{
}

////////////////////////////////////////////////////////////////////////////////////////////////////
/// \fn	CppTestClass::~CppTestClass()
///
/// \brief	Destructor. 
///
/// \author	Jason Williams
/// \date	05/04/2009
////////////////////////////////////////////////////////////////////////////////////////////////////

CppTestClass::~CppTestClass()
{
}

////////////////////////////////////////////////////////////////////////////////////////////////////
/// \fn	int CppTestClass::GetValue()
///
/// \brief	Gets the value. 
///
/// \author	Jason Williams
/// \date	05/04/2009
///
/// \retval	The value. 
////////////////////////////////////////////////////////////////////////////////////////////////////

int CppTestClass::GetValue()
{
	return(value);
}


//---------------------------------------------------------------------------------------------------
// "Implement Function" example
//---------------------------------------------------------------------------------------------------

// Get the first thing that matches value.
Thing* GetThing(int value, bool *pResult=NULL, int *pNumber = NULL);

////////////////////////////////////////////////////////////////////////////////////////////////////
/// \fn	Thing* AtomineerUtilsExamplesDoxygen::GetThing(int value, bool *pResult, int *pNumber)
///
/// \brief	Get the first thing that matches value. 
///
/// \author	Jason Williams
/// \date	05/04/2009
///
/// \param	value	 - A value. 
/// \param	pResult	 - If non-null, a result. 
/// \param	pNumber	 - If non-null, number of. 
///
/// \retval	The thing. 
////////////////////////////////////////////////////////////////////////////////////////////////////

Thing* AtomineerUtilsExamplesDoxygen::GetThing(int value, bool *pResult, int *pNumber)
{
	
	return(NULL);
}




//---------------------------------------------------------------------------------------------------
// "Implement Function" example
//---------------------------------------------------------------------------------------------------

// Get the first thing that matches value
// and return a boolean indicating if there
// are more things with that value in the list.
Thing& GetThing(int value, bool *pResult= NULL);

////////////////////////////////////////////////////////////////////////////////////////////////////
/// \fn	Thing& AtomineerUtilsExamplesDoxygen::GetThing(int value, bool *pResult)
///
/// \brief	Get the first thing that matches value and return a boolean indicating if there are
/// 		more things with that value in the list. 
///
/// \author	Jason Williams
/// \date	05/04/2009
///
/// \param	value	 - A value. 
/// \param	pResult	 - If non-null, a result. 
///
/// \retval	The thing. 
////////////////////////////////////////////////////////////////////////////////////////////////////

Thing& AtomineerUtilsExamplesDoxygen::GetThing(int value, bool *pResult)
{
	
}



//---------------------------------------------------------------------------------------------------
// "Implement Function" example
//---------------------------------------------------------------------------------------------------

//Test a bool value
bool BoolValue(void);

////////////////////////////////////////////////////////////////////////////////////////////////////
/// \fn	bool AtomineerUtilsExamplesDoxygen::BoolValue(void)
///
/// \brief	Test a bool value. 
///
/// \author	Jason Williams
/// \date	05/04/2009
///
/// \retval	. 
////////////////////////////////////////////////////////////////////////////////////////////////////

bool AtomineerUtilsExamplesDoxygen::BoolValue(void)
{
	
	return(false);
}

